package com.example;

import javax.persistence.Entity;
import javax.persistence.NamedQuery;

@Entity
@NamedQuery(name = ICat.SELECT_ALL, query = "SELECT c FROM Cat c")
public class Cat extends Animal implements ICat {

	private char sex;

	private float weight;

	public Cat() {
		super();
	}

	public Cat(String name) {
		this(name, 'F', 10);
	}

	public Cat(String name, char sex, float weight) {
		super(name);
		this.sex = sex;
		this.weight = weight;
	}

	public char getSex() {
		return sex;
	}

	public void setSex(char sex) {
		this.sex = sex;
	}

	public float getWeight() {
		return weight;
	}

	public void setWeight(float weight) {
		this.weight = weight;
	}
	
	public void greet(Dog dog)
	{
		System.out.println("Greeting " + dog);
	}

}